
QGIS Application - Bug report #15077

Disable "Add circular string..." tools for temporary layer

2016-06-19 06:21 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23020

Description

Toggle to edition a line or polygon temporary layer

Try to add new feature using one of the "Add circular string..." tools. 

When validating your geometry, it's cleared. If you combined with the simple "add feature" tool when constructing the geometry, the curved

part is modified to a straight line and sometimes QGIS may complain about a self-intersection (generated by its own modification)

I think that, if it's normal that temporary layer doen't allow supports curves then these circular tools should not be available. And more

generally, if provider doesn't support curves, better disable the tools.

History

#1 - 2016-06-19 06:38 AM - Harrissou Santanna

I'm unable to reproduce it using another scratch layer. Can't figure out what was the problem with the previous one.

will give it a new try later.

#2 - 2016-06-20 08:15 AM - Even Rouault

Not completely sure this is related, but when trying to reproduce this issue, I found #15087 (now fixed)

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-27 07:21 PM - Harrissou Santanna

- Status changed from Open to Closed

- Description updated

- Resolution set to not reproducable

Works now (2.18 and later) so I set to not reproducable as I couldn't confirm in the past
